HttpsConnection
Date: 2016-06-24

javax.microedition.io

## Interface HttpsConnection

- All Superinterfaces:
    Connection, ContentConnection, HttpConnection, InputConnection, OutputConnection, StreamConnection

      public interface HttpsConnection
      extends HttpConnection

- - ### Field Summary

    - ### Fields inherited from interface javax.microedition.io.HttpConnection

      `GET, HEAD, HTTP_ACCEPTED, HTTP_BAD_GATEWAY, HTTP_BAD_METHOD, HTTP_BAD_REQUEST, HTTP_CLIENT_TIMEOUT, HTTP_CONFLICT, HTTP_CREATED, HTTP_ENTITY_TOO_LARGE, HTTP_EXPECT_FAILED, HTTP_FORBIDDEN, HTTP_GATEWAY_TIMEOUT, HTTP_GONE, HTTP_INTERNAL_ERROR, HTTP_LENGTH_REQUIRED, HTTP_MOVED_PERM, HTTP_MOVED_TEMP, HTTP_MULT_CHOICE, HTTP_NO_CONTENT, HTTP_NOT_ACCEPTABLE, HTTP_NOT_AUTHORITATIVE, HTTP_NOT_FOUND, HTTP_NOT_IMPLEMENTED, HTTP_NOT_MODIFIED, HTTP_OK, HTTP_PARTIAL, HTTP_PAYMENT_REQUIRED, HTTP_PRECON_FAILED, HTTP_PROXY_AUTH, HTTP_REQ_TOO_LONG, HTTP_RESET, HTTP_SEE_OTHER, HTTP_TEMP_REDIRECT, HTTP_UNAUTHORIZED, HTTP_UNAVAILABLE, HTTP_UNSUPPORTED_RANGE, HTTP_UNSUPPORTED_TYPE, HTTP_USE_PROXY, HTTP_VERSION, POST`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecurityInfo` | `getSecurityInfo()`

    - ### Methods inherited from interface javax.microedition.io.HttpConnection

      `getDate, getExpiration, getFile, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHost, getLastModified, getPort, getProtocol, getQuery, getRef, getRequestMethod, getRequestProperty, getResponseCode, getResponseMessage, getURL, setRequestMethod, setRequestProperty`

    - ### Methods inherited from interface javax.microedition.io.ContentConnection

      `getEncoding, getLength, getType`

    - ### Methods inherited from interface javax.microedition.io.InputConnection

      `openDataInputStream, openInputStream`

    - ### Methods inherited from interface javax.microedition.io.OutputConnection

      `openDataOutputStream, openOutputStream`

    - ### Methods inherited from interface javax.microedition.io.Connection

      `close`

- - ### Method Detail

    - #### getSecurityInfo

          SecurityInfo getSecurityInfo()
                                       throws IOException

      Throws:
        `IOException`